%define name	videodog
%define version	0.31
%define release %mkrel 5

Name: 	 	%{name}
Summary: 	Video4Linux frame grabber
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://planeta.terra.com.br/informatica/gleicon/video4linux/videodog.html
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	jpeg-devel

%description
VideoDog is a command line tool to grab frames from a Video4linux-compliant
device. It can export a file in raw, PNM, or JPG formats. It can also do loop
capture using multiple buffers, or just be used to set/retrieve device data or
scripts. It presents a programming interface for implementing image
transformations and effects. There are some examples in the source code. No
external libraries are required.

%prep
%setup -q
mv %name.man %name.1
bzip2 %name.1

%build
%make CC="gcc $RPM_OPT_FLAGS"
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir
mkdir -p $RPM_BUILD_ROOT/%_mandir/man1
%makeinstall
rm -fr %buildroot/usr/doc
cp vd.conf $RPM_BUILD_ROOT/%_sysconfdir
cp %name.1.bz2 $RPM_BUILD_ROOT/%_mandir/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ALPHABLEND CONFIG_FILE EFFECTS MOTION README CHANGELOG EFFECTS LICENSE TODO USAGE *.pdf
%{_bindir}/%name
%{_mandir}/man1/%name.1*
%config(noreplace) %_sysconfdir/vd.conf



%changelog
* Wed Sep 09 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.31-5mdv2010.0
+ Revision: 434671
- rebuild
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.31-3mdv2009.0
+ Revision: 255520
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.31-1mdv2008.1
+ Revision: 129140
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel
- import videodog


* Wed Nov 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.31-1mdk
- 0.31

* Tue Feb 17 2004 Austin Acton <austin@mandrake.org> 0.30-2mdk
- manpage
- config file
- all docs

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.30-1mdk
- 0.30

* Thu Apr 10 2003 Austin Acton <aacton@yorku.ca> 0.22-1mdk
- initial package
